gicRecognizerDriverRegister(3)

NAME
gicRecognizerDriverRegister, gicRecognizerDriverUnregister, gicRecognizerDriverLookup : Adjust Recognizers

SYNOPSIS
#include <ggi/gic.h>
int gicRecognizerDriverRegister(gic_handle_t hand,
                              gic_recognizerdriver *driver);
int gicRecognizerDriverUnregister(gic_handle_t hand,
                              gic_recognizerdriver *driver);
gic_recognizerdriver *gicRecognizerDriverLookup(gic_handle_t hand,
                              const char *name);

DESCRIPTION
Recognizerdrivers. The work-monkeys. The recognizers given in gicOpen(3) are automatically open. But you might want to adjust that list. gicRecognizerDriverRegister registers additional recognizers into the gic_handle_t. gicRecognizerDriverUnregister unregisters the given recognizer from the gic_handle_t. gicRecognizerDriverLookup searches for the recognizers with the given name.

RETURN VALUE
gicRecognizerDriverRegister and gicRecognizerDriverUnregister return 0 for success, otherwise an gii-error(3) code. gicRecognizerDriverLookup returns a pointer to the recognizer if found, otherwise NULL.

SEE ALSO
gicOpen(3)